{	
	Init[()
	{
		return;	
	}]
	
	DelayReached[ (s)
	{
		if(s=1)
		{
			if( Level.saved_RadioPlay = 0 )
			{
				// Radio is off
				PlaySound(0,90,1);
			}
			else
			{
				// Radio is on
				PlaySound(66,90,1);
				Delay(6,1);
			}
		}
		if(s=2)
		{
			if(Level.saved_AmbientSwitch = 0)
			{
				Level.PlayAmbient(63);
			}
			else
			{
				Level.PlayAmbient(64);	
			}
		}
	}]	
}